#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 37. LXQt Desktop

- Prev

  kwayland-6.6.1 for lxqt

- Next

  layer-shell-qt-6.6.1 for lxqt

- Up
- Home

# libkscreen-6.6.1 for lxqt

## Introduction to libkscreen

The libkscreen package contains the KDE Screen Management library.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Important

This package is extracted from the plasma set of packages. If Plasma-6.6.1 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.6.1/libkscreen-6.6.1.tar.xz

- Download MD5 sum: 161fb91c028b345ca3cbf2757373b3ab

- Download size: 120 KB

- Estimated disk space required: 21 MB

- Estimated build time: 0.3 SBU (using parallelism=4)

### libkscreen Dependencies

#### Required

kwayland-6.6.1 for lxqt, plasma-wayland-protocols-1.20.0, and Qt-6.11.0

## Installation of libkscreen

Install libkscreen by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kscreen-doctor
Installed Library: libKF6Screen.so and libKF6ScreenDpms.so
Installed Directories: /usr/lib/cmake/KF6Screen, /usr/include/KF6/KScreen, and $QT6DIR/lib/plugins/kf6/kscreen

### Short Descriptions

kscreen-doctor | allows modifying the screen setup from the command line
`libKF6Screen.so` | contains the KDE Screen Management library
`libKF6ScreenDpms.so` | contains API functions for handling DPMS

- Prev

  kwayland-6.6.1 for lxqt

- Next

  layer-shell-qt-6.6.1 for lxqt

- Up
- Home